# ava module not in fedora yet
%global enable_tests 0
%global module_name prepend-http

Name:           nodejs-%{module_name}
Version:        1.0.1
Release:        1%{?dist}
Summary:        Prepend http:// to humanized URLs like todomvc.com and localhost

License:        MIT
URL:            https://github.com/sindresorhus/prepend-http
Source0:        https://github.com/sindresorhus/prepend-http/archive/v%{version}.tar.gz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(ava)
%endif

%description
%{summary}.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test.js
%endif

%files
%doc readme.md 
%license license
%{nodejs_sitelib}/%{module_name}

%changelog
* Sat Jan 31 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.1-1
- update to 1.0.1 upstream release

* Sun Jan 11 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.0-1
- Initial packaging

